Main Page | Modules | Class List | File List | Class Members | File Members

# Pixel

## Functions
void | CxImage::BlendPixelColor (long x, long y, RGBQUAD c, float blend, bool bSetAlpha=false)
void | CxImage::DrawLine (int StartX, int EndX, int StartY, int EndY, COLORREF cr)
void | CxImage::DrawLine (int StartX, int EndX, int StartY, int EndY, RGBQUAD color, bool bSetAlpha=false)
RGBQUAD | CxImage::GetPixelColor (long x, long y, bool bGetAlpha=true)
BYTE | CxImage::GetPixelGray (long x, long y)
BYTE | CxImage::GetPixelIndex (long x, long y)
bool | CxImage::IsInside (long x, long y)
bool | CxImage::IsTransparent (long x, long y)
void | CxImage::SetPixelColor (long x, long y, COLORREF cr)
void | CxImage::SetPixelColor (long x, long y, RGBQUAD c, bool bSetAlpha=false)
void | CxImage::SetPixelIndex (long x, long y, BYTE i)

## Function Documentation

void CxImage::BlendPixelColor | ( | long | x,
|  | long | y,
|  | RGBQUAD | c,
|  | float | blend,
|  | bool | bSetAlpha = `false`
| ) | `[inherited]`

  | Blends the current pixel color with a new color. Parameters:
  | x,y | = pixel
  | c | = new color
  | blend | = can be from 0 (no effect) to 1 (full effect).
  | bSetAlpha | = if true, blends also the alpha component stored in c.rgbReserved

void CxImage::DrawLine | ( | int | StartX,
|  | int | EndX,
|  | int | StartY,
|  | int | EndY,
|  | COLORREF | cr
| ) | `[inherited]`

void CxImage::DrawLine | ( | int | StartX,
|  | int | EndX,
|  | int | StartY,
|  | int | EndY,
|  | RGBQUAD | color,
|  | bool | bSetAlpha = `false`
| ) | `[inherited]`

RGBQUAD CxImage::GetPixelColor | ( | long | x,
|  | long | y,
|  | bool | bGetAlpha = `true`
| ) | `[inherited]`

BYTE CxImage::GetPixelGray | ( | long | x,
|  | long | y
| ) | `[inherited]`

BYTE CxImage::GetPixelIndex | ( | long | x,
|  | long | y
| ) | `[inherited]`

| Returns the palette index of the specified pixel.

bool CxImage::IsInside | ( | long | x,
|  | long | y
| ) | `[inherited]`

| Checks if the coordinates are inside the image Returns: true if x and y are both inside the image

bool CxImage::IsTransparent | ( | long | x,
|  | long | y
| ) | `[inherited]`

void CxImage::SetPixelColor | ( | long | x,
|  | long | y,
|  | COLORREF | cr
| ) | `[inherited]`

void CxImage::SetPixelColor | ( | long | x,
|  | long | y,
|  | RGBQUAD | c,
|  | bool | bSetAlpha = `false`
| ) | `[inherited]`

void CxImage::SetPixelIndex | ( | long | x,
|  | long | y,
|  | BYTE | i
| ) | `[inherited]`